# Makefile.in generated by automake 1.15.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Required to build Windows resource file


VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
noinst_PROGRAMS = sceac-example$(EXEEXT)
bin_PROGRAMS = opensc-tool$(EXEEXT) opensc-explorer$(EXEEXT) \
	pkcs15-tool$(EXEEXT) pkcs15-crypt$(EXEEXT) \
	pkcs11-tool$(EXEEXT) cardos-tool$(EXEEXT) eidenv$(EXEEXT) \
	openpgp-tool$(EXEEXT) iasecc-tool$(EXEEXT) $(am__EXEEXT_1)
@ENABLE_OPENSSL_TRUE@am__append_1 = cryptoflex-tool pkcs15-init netkey-tool piv-tool \
@ENABLE_OPENSSL_TRUE@	westcos-tool sc-hsm-tool dnie-tool gids-tool npa-tool

@WIN32_TRUE@am__append_2 = versioninfo-tools.rc
@WIN32_TRUE@am__append_3 = versioninfo-tools.rc
@WIN32_TRUE@am__append_4 = versioninfo-tools.rc
@WIN32_TRUE@am__append_5 = versioninfo-tools.rc
@WIN32_TRUE@am__append_6 = versioninfo-tools.rc
@WIN32_TRUE@am__append_7 = versioninfo-tools.rc
@WIN32_TRUE@am__append_8 = versioninfo-tools.rc
@WIN32_TRUE@am__append_9 = versioninfo-tools.rc
@WIN32_TRUE@am__append_10 = versioninfo-tools.rc
@WIN32_TRUE@am__append_11 = versioninfo-tools.rc
@WIN32_TRUE@am__append_12 = versioninfo-tools.rc
@WIN32_TRUE@am__append_13 = versioninfo-tools.rc
@WIN32_TRUE@am__append_14 = versioninfo-tools.rc
@WIN32_TRUE@am__append_15 = versioninfo-tools.rc
@WIN32_TRUE@am__append_16 = versioninfo-tools.rc
@WIN32_TRUE@am__append_17 = versioninfo-tools.rc
subdir = src/tools
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/version.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = versioninfo-tools.rc
CONFIG_CLEAN_VPATH_FILES =
@ENABLE_OPENSSL_TRUE@am__EXEEXT_1 = cryptoflex-tool$(EXEEXT) \
@ENABLE_OPENSSL_TRUE@	pkcs15-init$(EXEEXT) netkey-tool$(EXEEXT) \
@ENABLE_OPENSSL_TRUE@	piv-tool$(EXEEXT) westcos-tool$(EXEEXT) \
@ENABLE_OPENSSL_TRUE@	sc-hsm-tool$(EXEEXT) dnie-tool$(EXEEXT) \
@ENABLE_OPENSSL_TRUE@	gids-tool$(EXEEXT) npa-tool$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am__cardos_tool_SOURCES_DIST = cardos-tool.c util.c \
	versioninfo-tools.rc
@WIN32_TRUE@am__objects_1 = versioninfo-tools.$(OBJEXT)
am_cardos_tool_OBJECTS = cardos-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
cardos_tool_OBJECTS = $(am_cardos_tool_OBJECTS)
am__DEPENDENCIES_1 =
cardos_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
am__cryptoflex_tool_SOURCES_DIST = cryptoflex-tool.c util.c \
	versioninfo-tools.rc
am_cryptoflex_tool_OBJECTS = cryptoflex-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
cryptoflex_tool_OBJECTS = $(am_cryptoflex_tool_OBJECTS)
cryptoflex_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_dnie_tool_OBJECTS = dnie-tool.$(OBJEXT) util.$(OBJEXT)
dnie_tool_OBJECTS = $(am_dnie_tool_OBJECTS)
dnie_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__eidenv_SOURCES_DIST = eidenv.c util.c versioninfo-tools.rc
am_eidenv_OBJECTS = eidenv.$(OBJEXT) util.$(OBJEXT) $(am__objects_1)
eidenv_OBJECTS = $(am_eidenv_OBJECTS)
eidenv_LDADD = $(LDADD)
am__gids_tool_SOURCES_DIST = gids-tool.c util.c versioninfo-tools.rc
am_gids_tool_OBJECTS = gids-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
gids_tool_OBJECTS = $(am_gids_tool_OBJECTS)
gids_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__iasecc_tool_SOURCES_DIST = iasecc-tool.c util.c \
	versioninfo-tools.rc
am_iasecc_tool_OBJECTS = iasecc-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
iasecc_tool_OBJECTS = $(am_iasecc_tool_OBJECTS)
iasecc_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__netkey_tool_SOURCES_DIST = netkey-tool.c versioninfo-tools.rc
am_netkey_tool_OBJECTS = netkey-tool.$(OBJEXT) $(am__objects_1)
netkey_tool_OBJECTS = $(am_netkey_tool_OBJECTS)
netkey_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__objects_2 = npa_tool-npa-tool-cmdline.$(OBJEXT)
am_npa_tool_OBJECTS = npa_tool-npa-tool.$(OBJEXT) \
	npa_tool-fread_to_eof.$(OBJEXT) $(am__objects_2)
npa_tool_OBJECTS = $(am_npa_tool_OBJECTS)
npa_tool_DEPENDENCIES = $(top_builddir)/src/libopensc/libopensc.la \
	$(am__DEPENDENCIES_1)
npa_tool_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(npa_tool_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am__openpgp_tool_SOURCES_DIST = openpgp-tool.c util.c \
	versioninfo-tools.rc
am_openpgp_tool_OBJECTS = openpgp-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
openpgp_tool_OBJECTS = $(am_openpgp_tool_OBJECTS)
openpgp_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__opensc_explorer_SOURCES_DIST = opensc-explorer.c util.c \
	versioninfo-tools.rc
am_opensc_explorer_OBJECTS = opensc-explorer.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
opensc_explorer_OBJECTS = $(am_opensc_explorer_OBJECTS)
opensc_explorer_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__opensc_tool_SOURCES_DIST = opensc-tool.c util.c \
	versioninfo-tools.rc
am_opensc_tool_OBJECTS = opensc-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
opensc_tool_OBJECTS = $(am_opensc_tool_OBJECTS)
opensc_tool_LDADD = $(LDADD)
am__piv_tool_SOURCES_DIST = piv-tool.c util.c versioninfo-tools.rc
am_piv_tool_OBJECTS = piv-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
piv_tool_OBJECTS = $(am_piv_tool_OBJECTS)
piv_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__pkcs11_tool_SOURCES_DIST = pkcs11-tool.c util.c \
	versioninfo-tools.rc
am_pkcs11_tool_OBJECTS = pkcs11-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
pkcs11_tool_OBJECTS = $(am_pkcs11_tool_OBJECTS)
pkcs11_tool_DEPENDENCIES = $(top_builddir)/src/common/libpkcs11.la \
	$(am__DEPENDENCIES_1)
am__pkcs15_crypt_SOURCES_DIST = pkcs15-crypt.c util.c \
	versioninfo-tools.rc
am_pkcs15_crypt_OBJECTS = pkcs15-crypt.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
pkcs15_crypt_OBJECTS = $(am_pkcs15_crypt_OBJECTS)
pkcs15_crypt_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__pkcs15_init_SOURCES_DIST = pkcs15-init.c util.c \
	versioninfo-tools.rc
am_pkcs15_init_OBJECTS = pkcs15-init.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
pkcs15_init_OBJECTS = $(am_pkcs15_init_OBJECTS)
pkcs15_init_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__pkcs15_tool_SOURCES_DIST = pkcs15-tool.c util.c \
	versioninfo-tools.rc
am_pkcs15_tool_OBJECTS = pkcs15-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
pkcs15_tool_OBJECTS = $(am_pkcs15_tool_OBJECTS)
pkcs15_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__sc_hsm_tool_SOURCES_DIST = sc-hsm-tool.c util.c \
	versioninfo-tools.rc
am_sc_hsm_tool_OBJECTS = sc-hsm-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
sc_hsm_tool_OBJECTS = $(am_sc_hsm_tool_OBJECTS)
sc_hsm_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_sceac_example_OBJECTS = sceac_example-sceac-example.$(OBJEXT)
sceac_example_OBJECTS = $(am_sceac_example_OBJECTS)
sceac_example_DEPENDENCIES =  \
	$(top_builddir)/src/libopensc/libopensc.la \
	$(am__DEPENDENCIES_1)
sceac_example_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(sceac_example_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am__westcos_tool_SOURCES_DIST = westcos-tool.c util.c \
	versioninfo-tools.rc
am_westcos_tool_OBJECTS = westcos-tool.$(OBJEXT) util.$(OBJEXT) \
	$(am__objects_1)
westcos_tool_OBJECTS = $(am_westcos_tool_OBJECTS)
westcos_tool_DEPENDENCIES = $(am__DEPENDENCIES_1)
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(cardos_tool_SOURCES) $(cryptoflex_tool_SOURCES) \
	$(dnie_tool_SOURCES) $(eidenv_SOURCES) $(gids_tool_SOURCES) \
	$(iasecc_tool_SOURCES) $(netkey_tool_SOURCES) \
	$(npa_tool_SOURCES) $(openpgp_tool_SOURCES) \
	$(opensc_explorer_SOURCES) $(opensc_tool_SOURCES) \
	$(piv_tool_SOURCES) $(pkcs11_tool_SOURCES) \
	$(pkcs15_crypt_SOURCES) $(pkcs15_init_SOURCES) \
	$(pkcs15_tool_SOURCES) $(sc_hsm_tool_SOURCES) \
	$(sceac_example_SOURCES) $(westcos_tool_SOURCES)
DIST_SOURCES = $(am__cardos_tool_SOURCES_DIST) \
	$(am__cryptoflex_tool_SOURCES_DIST) $(dnie_tool_SOURCES) \
	$(am__eidenv_SOURCES_DIST) $(am__gids_tool_SOURCES_DIST) \
	$(am__iasecc_tool_SOURCES_DIST) \
	$(am__netkey_tool_SOURCES_DIST) $(npa_tool_SOURCES) \
	$(am__openpgp_tool_SOURCES_DIST) \
	$(am__opensc_explorer_SOURCES_DIST) \
	$(am__opensc_tool_SOURCES_DIST) $(am__piv_tool_SOURCES_DIST) \
	$(am__pkcs11_tool_SOURCES_DIST) \
	$(am__pkcs15_crypt_SOURCES_DIST) \
	$(am__pkcs15_init_SOURCES_DIST) \
	$(am__pkcs15_tool_SOURCES_DIST) \
	$(am__sc_hsm_tool_SOURCES_DIST) $(sceac_example_SOURCES) \
	$(am__westcos_tool_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(dist_man1_MANS)
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(dist_man1_MANS) $(srcdir)/Makefile.in \
	$(srcdir)/versioninfo-tools.rc.in $(top_srcdir)/depcomp \
	$(top_srcdir)/win32/ltrc.inc
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CVCDIR = @CVCDIR@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEBUG_FILE = @DEBUG_FILE@
DEFAULT_PCSC_PROVIDER = @DEFAULT_PCSC_PROVIDER@
DEFAULT_PKCS11_PROVIDER = @DEFAULT_PKCS11_PROVIDER@
DEFAULT_SM_MODULE = @DEFAULT_SM_MODULE@
DEFAULT_SM_MODULE_PATH = @DEFAULT_SM_MODULE_PATH@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
DYN_LIB_EXT = @DYN_LIB_EXT@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GENGETOPT = @GENGETOPT@
GIT = @GIT@
GREP = @GREP@
HELP2MAN = @HELP2MAN@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBDIR = @LIBDIR@
LIBOBJS = @LIBOBJS@
LIBRARY_BITNESS = @LIBRARY_BITNESS@
LIBS = \
	$(top_builddir)/src/libopensc/libopensc.la \
	$(top_builddir)/src/common/libscdl.la \
	$(top_builddir)/src/common/libcompat.la

LIBTOOL = @LIBTOOL@
LIB_PRE = @LIB_PRE@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
OBJC = @OBJC@
OBJCDEPMODE = @OBJCDEPMODE@
OBJCFLAGS = @OBJCFLAGS@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OPENCT_CFLAGS = @OPENCT_CFLAGS@
OPENCT_LIBS = @OPENCT_LIBS@
OPENPACE_CFLAGS = @OPENPACE_CFLAGS@
OPENPACE_LIBS = @OPENPACE_LIBS@
OPENSC_LT_AGE = @OPENSC_LT_AGE@
OPENSC_LT_CURRENT = @OPENSC_LT_CURRENT@
OPENSC_LT_OLDEST = @OPENSC_LT_OLDEST@
OPENSC_LT_REVISION = @OPENSC_LT_REVISION@
OPENSC_PKCS11_PTHREAD_CFLAGS = @OPENSC_PKCS11_PTHREAD_CFLAGS@
OPENSC_SCM_REVISION = @OPENSC_SCM_REVISION@
OPENSC_VERSION_FIX = @OPENSC_VERSION_FIX@
OPENSC_VERSION_MAJOR = @OPENSC_VERSION_MAJOR@
OPENSC_VERSION_MINOR = @OPENSC_VERSION_MINOR@
OPENSC_VERSION_REVISION = @OPENSC_VERSION_REVISION@
OPENSC_VS_FF_COMMENTS = @OPENSC_VS_FF_COMMENTS@
OPENSC_VS_FF_COMPANY_NAME = @OPENSC_VS_FF_COMPANY_NAME@
OPENSC_VS_FF_COMPANY_URL = @OPENSC_VS_FF_COMPANY_URL@
OPENSC_VS_FF_LEGAL_COPYRIGHT = @OPENSC_VS_FF_LEGAL_COPYRIGHT@
OPENSC_VS_FF_PRODUCT_NAME = @OPENSC_VS_FF_PRODUCT_NAME@
OPENSC_VS_FF_PRODUCT_UPDATES = @OPENSC_VS_FF_PRODUCT_UPDATES@
OPENSC_VS_FF_PRODUCT_URL = @OPENSC_VS_FF_PRODUCT_URL@
OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
OPENSSL_LIBS = @OPENSSL_LIBS@
OPTIONAL_OPENCT_CFLAGS = @OPTIONAL_OPENCT_CFLAGS@
OPTIONAL_OPENCT_LIBS = @OPTIONAL_OPENCT_LIBS@
OPTIONAL_OPENSSL_CFLAGS = @OPTIONAL_OPENSSL_CFLAGS@
OPTIONAL_OPENSSL_LIBS = @OPTIONAL_OPENSSL_LIBS@
OPTIONAL_PCSC_CFLAGS = @OPTIONAL_PCSC_CFLAGS@
OPTIONAL_READLINE_CFLAGS = @OPTIONAL_READLINE_CFLAGS@
OPTIONAL_READLINE_LIBS = @OPTIONAL_READLINE_LIBS@
OPTIONAL_ZLIB_CFLAGS = @OPTIONAL_ZLIB_CFLAGS@
OPTIONAL_ZLIB_LIBS = @OPTIONAL_ZLIB_LIBS@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCSC_CFLAGS = @PCSC_CFLAGS@
PCSC_LIBS = @PCSC_LIBS@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PROFILE_DIR = @PROFILE_DIR@
PROFILE_DIR_DEFAULT = @PROFILE_DIR_DEFAULT@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_LIBS = @PTHREAD_LIBS@
RANLIB = @RANLIB@
RC = @RC@
READLINE_CFLAGS = @READLINE_CFLAGS@
READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
WIN_LIBPREFIX = @WIN_LIBPREFIX@
X509DIR = @X509DIR@
XSLTPROC = @XSLTPROC@
ZLIB_CFLAGS = @ZLIB_CFLAGS@
ZLIB_LIBS = @ZLIB_LIBS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
ac_ct_OBJC = @ac_ct_OBJC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
ax_pthread_config = @ax_pthread_config@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
git = @git@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkcs11dir = @pkcs11dir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
xslstylesheetsdir = @xslstylesheetsdir@
RCCOMPILE = $(RC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS)

LTRCCOMPILE = $(LIBTOOL) --mode=compile --tag=RC $(RCCOMPILE)
do_subst = $(SED) \
	   -e 's,[@]CVCDIR[@],$(CVCDIR),g' \
	   -e 's,[@]PACKAGE[@],$(PACKAGE),g' \
	   -e 's,[@]PACKAGE_BUGREPORT[@],$(PACKAGE_BUGREPORT),g' \
	   -e 's,[@]PACKAGE_NAME[@],$(PACKAGE_NAME),g' \
	   -e 's,[@]PACKAGE_TARNAME[@],$(PACKAGE_TARNAME),g' \
	   -e 's,[@]PACKAGE_URL[@],$(PACKAGE_URL),g' \
	   -e 's,[@]PACKAGE_SUMMARY[@],$(PACKAGE_SUMMARY),g' \
	   -e 's,[@]PACKAGE_VERSION[@],"$(PACKAGE_VERSION)",g' \
	   -e 's,[@]X509DIR[@],$(X509DIR),g'

NPA_TOOL_BUILT_SOURCES = npa-tool-cmdline.h npa-tool-cmdline.c
MAINTAINERCLEANFILES = $(srcdir)/Makefile.in $(srcdir)/versioninfo-tools.rc
EXTRA_DIST = Makefile.mak versioninfo-tools.rc.in npa-tool.ggo.in npa-tool.1
noinst_HEADERS = util.h fread_to_eof.h
@ENABLE_MAN_TRUE@dist_man1_MANS = npa-tool.1

# compile with $(PTHREAD_CFLAGS) to allow debugging with gdb
AM_CFLAGS = $(OPTIONAL_OPENSSL_CFLAGS) $(OPTIONAL_READLINE_CFLAGS) $(PTHREAD_CFLAGS)
AM_CPPFLAGS = -I$(top_srcdir)/src
sceac_example_SOURCES = sceac-example.c
sceac_example_LDADD = $(top_builddir)/src/libopensc/libopensc.la $(OPENPACE_LIBS)
sceac_example_CFLAGS = -I$(top_srcdir)/src $(OPENPACE_CFLAGS)
opensc_tool_SOURCES = opensc-tool.c util.c $(am__append_2)
piv_tool_SOURCES = piv-tool.c util.c $(am__append_3)
piv_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
opensc_explorer_SOURCES = opensc-explorer.c util.c $(am__append_4)
opensc_explorer_LDADD = $(OPTIONAL_READLINE_LIBS)
pkcs15_tool_SOURCES = pkcs15-tool.c util.c $(am__append_5)
pkcs15_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
pkcs11_tool_SOURCES = pkcs11-tool.c util.c $(am__append_6)
pkcs11_tool_LDADD = \
	$(top_builddir)/src/common/libpkcs11.la \
	$(OPTIONAL_OPENSSL_LIBS)

pkcs15_crypt_SOURCES = pkcs15-crypt.c util.c $(am__append_7)
pkcs15_crypt_LDADD = $(OPTIONAL_OPENSSL_LIBS)
cryptoflex_tool_SOURCES = cryptoflex-tool.c util.c $(am__append_8)
cryptoflex_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
pkcs15_init_SOURCES = pkcs15-init.c util.c $(am__append_9)
pkcs15_init_LDADD = $(OPTIONAL_OPENSSL_LIBS)
cardos_tool_SOURCES = cardos-tool.c util.c $(am__append_10)
cardos_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
eidenv_SOURCES = eidenv.c util.c $(am__append_11)
netkey_tool_SOURCES = netkey-tool.c $(am__append_12)
netkey_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
westcos_tool_SOURCES = westcos-tool.c util.c $(am__append_13)
westcos_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
openpgp_tool_SOURCES = openpgp-tool.c util.c $(am__append_14)
openpgp_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
iasecc_tool_SOURCES = iasecc-tool.c util.c $(am__append_15)
iasecc_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
sc_hsm_tool_SOURCES = sc-hsm-tool.c util.c $(am__append_16)
sc_hsm_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
dnie_tool_SOURCES = dnie-tool.c util.c
dnie_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
gids_tool_SOURCES = gids-tool.c util.c $(am__append_17)
gids_tool_LDADD = $(OPTIONAL_OPENSSL_LIBS)
npa_tool_SOURCES = npa-tool.c fread_to_eof.c $(NPA_TOOL_BUILT_SOURCES)
npa_tool_LDADD = $(top_builddir)/src/libopensc/libopensc.la \
				 $(OPENPACE_LIBS)

npa_tool_CFLAGS = -I$(top_srcdir)/src $(OPENPACE_CFLAGS) $(OPENSSL_CFLAGS)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj .rc
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/win32/ltrc.inc $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/tools/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/tools/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/win32/ltrc.inc $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
versioninfo-tools.rc: $(top_builddir)/config.status $(srcdir)/versioninfo-tools.rc.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

cardos-tool$(EXEEXT): $(cardos_tool_OBJECTS) $(cardos_tool_DEPENDENCIES) $(EXTRA_cardos_tool_DEPENDENCIES) 
	@rm -f cardos-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(cardos_tool_OBJECTS) $(cardos_tool_LDADD) $(LIBS)

cryptoflex-tool$(EXEEXT): $(cryptoflex_tool_OBJECTS) $(cryptoflex_tool_DEPENDENCIES) $(EXTRA_cryptoflex_tool_DEPENDENCIES) 
	@rm -f cryptoflex-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(cryptoflex_tool_OBJECTS) $(cryptoflex_tool_LDADD) $(LIBS)

dnie-tool$(EXEEXT): $(dnie_tool_OBJECTS) $(dnie_tool_DEPENDENCIES) $(EXTRA_dnie_tool_DEPENDENCIES) 
	@rm -f dnie-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(dnie_tool_OBJECTS) $(dnie_tool_LDADD) $(LIBS)

eidenv$(EXEEXT): $(eidenv_OBJECTS) $(eidenv_DEPENDENCIES) $(EXTRA_eidenv_DEPENDENCIES) 
	@rm -f eidenv$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(eidenv_OBJECTS) $(eidenv_LDADD) $(LIBS)

gids-tool$(EXEEXT): $(gids_tool_OBJECTS) $(gids_tool_DEPENDENCIES) $(EXTRA_gids_tool_DEPENDENCIES) 
	@rm -f gids-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(gids_tool_OBJECTS) $(gids_tool_LDADD) $(LIBS)

iasecc-tool$(EXEEXT): $(iasecc_tool_OBJECTS) $(iasecc_tool_DEPENDENCIES) $(EXTRA_iasecc_tool_DEPENDENCIES) 
	@rm -f iasecc-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(iasecc_tool_OBJECTS) $(iasecc_tool_LDADD) $(LIBS)

netkey-tool$(EXEEXT): $(netkey_tool_OBJECTS) $(netkey_tool_DEPENDENCIES) $(EXTRA_netkey_tool_DEPENDENCIES) 
	@rm -f netkey-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(netkey_tool_OBJECTS) $(netkey_tool_LDADD) $(LIBS)

npa-tool$(EXEEXT): $(npa_tool_OBJECTS) $(npa_tool_DEPENDENCIES) $(EXTRA_npa_tool_DEPENDENCIES) 
	@rm -f npa-tool$(EXEEXT)
	$(AM_V_CCLD)$(npa_tool_LINK) $(npa_tool_OBJECTS) $(npa_tool_LDADD) $(LIBS)

openpgp-tool$(EXEEXT): $(openpgp_tool_OBJECTS) $(openpgp_tool_DEPENDENCIES) $(EXTRA_openpgp_tool_DEPENDENCIES) 
	@rm -f openpgp-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(openpgp_tool_OBJECTS) $(openpgp_tool_LDADD) $(LIBS)

opensc-explorer$(EXEEXT): $(opensc_explorer_OBJECTS) $(opensc_explorer_DEPENDENCIES) $(EXTRA_opensc_explorer_DEPENDENCIES) 
	@rm -f opensc-explorer$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(opensc_explorer_OBJECTS) $(opensc_explorer_LDADD) $(LIBS)

opensc-tool$(EXEEXT): $(opensc_tool_OBJECTS) $(opensc_tool_DEPENDENCIES) $(EXTRA_opensc_tool_DEPENDENCIES) 
	@rm -f opensc-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(opensc_tool_OBJECTS) $(opensc_tool_LDADD) $(LIBS)

piv-tool$(EXEEXT): $(piv_tool_OBJECTS) $(piv_tool_DEPENDENCIES) $(EXTRA_piv_tool_DEPENDENCIES) 
	@rm -f piv-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(piv_tool_OBJECTS) $(piv_tool_LDADD) $(LIBS)

pkcs11-tool$(EXEEXT): $(pkcs11_tool_OBJECTS) $(pkcs11_tool_DEPENDENCIES) $(EXTRA_pkcs11_tool_DEPENDENCIES) 
	@rm -f pkcs11-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(pkcs11_tool_OBJECTS) $(pkcs11_tool_LDADD) $(LIBS)

pkcs15-crypt$(EXEEXT): $(pkcs15_crypt_OBJECTS) $(pkcs15_crypt_DEPENDENCIES) $(EXTRA_pkcs15_crypt_DEPENDENCIES) 
	@rm -f pkcs15-crypt$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(pkcs15_crypt_OBJECTS) $(pkcs15_crypt_LDADD) $(LIBS)

pkcs15-init$(EXEEXT): $(pkcs15_init_OBJECTS) $(pkcs15_init_DEPENDENCIES) $(EXTRA_pkcs15_init_DEPENDENCIES) 
	@rm -f pkcs15-init$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(pkcs15_init_OBJECTS) $(pkcs15_init_LDADD) $(LIBS)

pkcs15-tool$(EXEEXT): $(pkcs15_tool_OBJECTS) $(pkcs15_tool_DEPENDENCIES) $(EXTRA_pkcs15_tool_DEPENDENCIES) 
	@rm -f pkcs15-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(pkcs15_tool_OBJECTS) $(pkcs15_tool_LDADD) $(LIBS)

sc-hsm-tool$(EXEEXT): $(sc_hsm_tool_OBJECTS) $(sc_hsm_tool_DEPENDENCIES) $(EXTRA_sc_hsm_tool_DEPENDENCIES) 
	@rm -f sc-hsm-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(sc_hsm_tool_OBJECTS) $(sc_hsm_tool_LDADD) $(LIBS)

sceac-example$(EXEEXT): $(sceac_example_OBJECTS) $(sceac_example_DEPENDENCIES) $(EXTRA_sceac_example_DEPENDENCIES) 
	@rm -f sceac-example$(EXEEXT)
	$(AM_V_CCLD)$(sceac_example_LINK) $(sceac_example_OBJECTS) $(sceac_example_LDADD) $(LIBS)

westcos-tool$(EXEEXT): $(westcos_tool_OBJECTS) $(westcos_tool_DEPENDENCIES) $(EXTRA_westcos_tool_DEPENDENCIES) 
	@rm -f westcos-tool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(westcos_tool_OBJECTS) $(westcos_tool_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cardos-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cryptoflex-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dnie-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eidenv.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gids-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iasecc-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/netkey-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/npa_tool-fread_to_eof.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/npa_tool-npa-tool-cmdline.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/npa_tool-npa-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/openpgp-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/opensc-explorer.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/opensc-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/piv-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkcs11-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkcs15-crypt.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkcs15-init.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkcs15-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sc-hsm-tool.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sceac_example-sceac-example.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/westcos-tool.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

npa_tool-npa-tool.o: npa-tool.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -MT npa_tool-npa-tool.o -MD -MP -MF $(DEPDIR)/npa_tool-npa-tool.Tpo -c -o npa_tool-npa-tool.o `test -f 'npa-tool.c' || echo '$(srcdir)/'`npa-tool.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/npa_tool-npa-tool.Tpo $(DEPDIR)/npa_tool-npa-tool.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='npa-tool.c' object='npa_tool-npa-tool.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -c -o npa_tool-npa-tool.o `test -f 'npa-tool.c' || echo '$(srcdir)/'`npa-tool.c

npa_tool-npa-tool.obj: npa-tool.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -MT npa_tool-npa-tool.obj -MD -MP -MF $(DEPDIR)/npa_tool-npa-tool.Tpo -c -o npa_tool-npa-tool.obj `if test -f 'npa-tool.c'; then $(CYGPATH_W) 'npa-tool.c'; else $(CYGPATH_W) '$(srcdir)/npa-tool.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/npa_tool-npa-tool.Tpo $(DEPDIR)/npa_tool-npa-tool.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='npa-tool.c' object='npa_tool-npa-tool.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -c -o npa_tool-npa-tool.obj `if test -f 'npa-tool.c'; then $(CYGPATH_W) 'npa-tool.c'; else $(CYGPATH_W) '$(srcdir)/npa-tool.c'; fi`

npa_tool-fread_to_eof.o: fread_to_eof.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -MT npa_tool-fread_to_eof.o -MD -MP -MF $(DEPDIR)/npa_tool-fread_to_eof.Tpo -c -o npa_tool-fread_to_eof.o `test -f 'fread_to_eof.c' || echo '$(srcdir)/'`fread_to_eof.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/npa_tool-fread_to_eof.Tpo $(DEPDIR)/npa_tool-fread_to_eof.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='fread_to_eof.c' object='npa_tool-fread_to_eof.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -c -o npa_tool-fread_to_eof.o `test -f 'fread_to_eof.c' || echo '$(srcdir)/'`fread_to_eof.c

npa_tool-fread_to_eof.obj: fread_to_eof.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -MT npa_tool-fread_to_eof.obj -MD -MP -MF $(DEPDIR)/npa_tool-fread_to_eof.Tpo -c -o npa_tool-fread_to_eof.obj `if test -f 'fread_to_eof.c'; then $(CYGPATH_W) 'fread_to_eof.c'; else $(CYGPATH_W) '$(srcdir)/fread_to_eof.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/npa_tool-fread_to_eof.Tpo $(DEPDIR)/npa_tool-fread_to_eof.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='fread_to_eof.c' object='npa_tool-fread_to_eof.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -c -o npa_tool-fread_to_eof.obj `if test -f 'fread_to_eof.c'; then $(CYGPATH_W) 'fread_to_eof.c'; else $(CYGPATH_W) '$(srcdir)/fread_to_eof.c'; fi`

npa_tool-npa-tool-cmdline.o: npa-tool-cmdline.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -MT npa_tool-npa-tool-cmdline.o -MD -MP -MF $(DEPDIR)/npa_tool-npa-tool-cmdline.Tpo -c -o npa_tool-npa-tool-cmdline.o `test -f 'npa-tool-cmdline.c' || echo '$(srcdir)/'`npa-tool-cmdline.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/npa_tool-npa-tool-cmdline.Tpo $(DEPDIR)/npa_tool-npa-tool-cmdline.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='npa-tool-cmdline.c' object='npa_tool-npa-tool-cmdline.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -c -o npa_tool-npa-tool-cmdline.o `test -f 'npa-tool-cmdline.c' || echo '$(srcdir)/'`npa-tool-cmdline.c

npa_tool-npa-tool-cmdline.obj: npa-tool-cmdline.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -MT npa_tool-npa-tool-cmdline.obj -MD -MP -MF $(DEPDIR)/npa_tool-npa-tool-cmdline.Tpo -c -o npa_tool-npa-tool-cmdline.obj `if test -f 'npa-tool-cmdline.c'; then $(CYGPATH_W) 'npa-tool-cmdline.c'; else $(CYGPATH_W) '$(srcdir)/npa-tool-cmdline.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/npa_tool-npa-tool-cmdline.Tpo $(DEPDIR)/npa_tool-npa-tool-cmdline.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='npa-tool-cmdline.c' object='npa_tool-npa-tool-cmdline.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(npa_tool_CFLAGS) $(CFLAGS) -c -o npa_tool-npa-tool-cmdline.obj `if test -f 'npa-tool-cmdline.c'; then $(CYGPATH_W) 'npa-tool-cmdline.c'; else $(CYGPATH_W) '$(srcdir)/npa-tool-cmdline.c'; fi`

sceac_example-sceac-example.o: sceac-example.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(sceac_example_CFLAGS) $(CFLAGS) -MT sceac_example-sceac-example.o -MD -MP -MF $(DEPDIR)/sceac_example-sceac-example.Tpo -c -o sceac_example-sceac-example.o `test -f 'sceac-example.c' || echo '$(srcdir)/'`sceac-example.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/sceac_example-sceac-example.Tpo $(DEPDIR)/sceac_example-sceac-example.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='sceac-example.c' object='sceac_example-sceac-example.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(sceac_example_CFLAGS) $(CFLAGS) -c -o sceac_example-sceac-example.o `test -f 'sceac-example.c' || echo '$(srcdir)/'`sceac-example.c

sceac_example-sceac-example.obj: sceac-example.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(sceac_example_CFLAGS) $(CFLAGS) -MT sceac_example-sceac-example.obj -MD -MP -MF $(DEPDIR)/sceac_example-sceac-example.Tpo -c -o sceac_example-sceac-example.obj `if test -f 'sceac-example.c'; then $(CYGPATH_W) 'sceac-example.c'; else $(CYGPATH_W) '$(srcdir)/sceac-example.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/sceac_example-sceac-example.Tpo $(DEPDIR)/sceac_example-sceac-example.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='sceac-example.c' object='sceac_example-sceac-example.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(sceac_example_CFLAGS) $(CFLAGS) -c -o sceac_example-sceac-example.obj `if test -f 'sceac-example.c'; then $(CYGPATH_W) 'sceac-example.c'; else $(CYGPATH_W) '$(srcdir)/sceac-example.c'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(dist_man1_MANS)
	@$(NORMAL_INSTALL)
	@list1='$(dist_man1_MANS)'; \
	list2=''; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_man1_MANS)'; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(MANS) $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic clean-libtool clean-local \
	clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-man

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binPROGRAMS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man: install-man1

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-man

uninstall-man: uninstall-man1

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-generic clean-libtool clean-local \
	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-binPROGRAMS install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-man1 install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am uninstall-binPROGRAMS \
	uninstall-man uninstall-man1

.PRECIOUS: Makefile


.rc.lo:
	$(LTRCCOMPILE) -i "$<" -o "$@"

.rc.o:
	$(RCCOMPILE) -i "$<" -o "$@"

npa-tool.c: $(abs_builddir)/npa-tool.ggo $(NPA_TOOL_BUILT_SOURCES)

# We only want *cmdline* to be generated when they have explicitly been removed.
$(NPA_TOOL_BUILT_SOURCES):
	$(MAKE) $(abs_builddir)/npa-tool.ggo
	$(GENGETOPT) --include-getopt --file-name=npa-tool-cmdline --output-dir=$(builddir) < $(abs_builddir)/npa-tool.ggo

$(abs_builddir)/npa-tool.ggo: npa-tool.ggo.in 
	$(do_subst) < $(abs_srcdir)/npa-tool.ggo.in > $@

# We only want npa-tool.1 to be generated when it has explicitly been removed.
npa-tool.1:
	$(MAKE) npa-tool$(EXEEXT)
	$(HELP2MAN) \
		--output=$@ \
		--no-info \
		--source='$(PACKAGE_STRING)' \
		$(builddir)/npa-tool$(EXEEXT)

clean-local:
	rm -f $(abs_builddir)/npa-tool.ggo

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
